/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateRecordsInput } from "../types/UpdateRecordsInput";
import { UpdateRecordsOutput } from "../types/UpdateRecordsOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/UpdateRecordsInput";
export * from "../types/UpdateRecordsOutput";
export * from "../types/UpdateRecordsExceptionsUnion";
export declare class UpdateRecordsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateRecordsInput, OutputTypesUnion, UpdateRecordsOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateRecordsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateRecordsInput, UpdateRecordsOutput, _stream.Readable>;
    constructor(input: UpdateRecordsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<UpdateRecordsInput, UpdateRecordsOutput>;
}
