"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _PushSync_1 = require("./_PushSync");
const _CognitoStreams_1 = require("./_CognitoStreams");
exports.SetIdentityPoolConfigurationInput = {
    type: "structure",
    required: ["IdentityPoolId"],
    members: {
        IdentityPoolId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityPoolId"
        },
        PushSync: {
            shape: _PushSync_1._PushSync
        },
        CognitoStreams: {
            shape: _CognitoStreams_1._CognitoStreams
        }
    }
};
//# sourceMappingURL=SetIdentityPoolConfigurationInput.js.map