"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Record = {
    type: "structure",
    required: [],
    members: {
        Key: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Value: {
            shape: {
                type: "string"
            }
        },
        SyncCount: {
            shape: {
                type: "integer"
            }
        },
        LastModifiedDate: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedBy: {
            shape: {
                type: "string"
            }
        },
        DeviceLastModifiedDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_Record.js.map