import { NotAuthorizedException } from "./NotAuthorizedException";
import { InvalidParameterException } from "./InvalidParameterException";
import { ResourceNotFoundException } from "./ResourceNotFoundException";
import { InternalErrorException } from "./InternalErrorException";
import { TooManyRequestsException } from "./TooManyRequestsException";
import { ResourceConflictException } from "./ResourceConflictException";
export declare type DeleteDatasetExceptionsUnion = NotAuthorizedException | InvalidParameterException | ResourceNotFoundException | InternalErrorException | TooManyRequestsException | ResourceConflictException;
